Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002177TestLinkLocalizationpublic2009-03-03 05:212010-06-23 15:22
Reporterkeeyou 
Assigned ToJulian 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 4 
Fixed in Version1.9 Beta 5 
Summary0002177: Different code pages in different elements of GUI
DescriptionThough in strings.txt I entered all language-specific chars in the same code page, they are displayed differently in different elements of GUI. Mostly they are displayed correctly, but there are exceptions: below examples of variables in which native chars are displayed incorrectly (i didn't manage to catch them all):
- $TLS_result_user_changed
- $TLS_desc_mgt_modify_product
- $TLS_caption_new_tproject
- $TLS_warning_empty_tcase_prefix
- $TLS_your_info_for_passwd
- $TLS_result_user_changed
- $TLS_title_testproject_management
- $TLS_caption_new_tproject
- $TLS_your_info_please
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserIE 6, Mozilla Firefox 2.0
PHP Version5
TestCaseID
QA Team - Task Workflow Status
Attached Filesjpg file icon screen1.jpg [^] (29,946 bytes) 2009-03-04 04:22


jpg file icon screen2.jpg [^] (35,344 bytes) 2009-03-04 04:24


jpg file icon strings by Julian.JPG [^] (18,175 bytes) 2010-06-23 08:10


zip file icon strings_decoded.zip [^] (36,169 bytes) 2010-06-23 13:45

- Relationships
related to 0002415closedmhavlat Nearly full translation into polish language 

-  Notes
(0005716)
schlundus (reporter)
2009-03-04 03:39

??? please add more details and a screenshot !
(0005718)
keeyou (reporter)
2009-03-04 04:34

I added 2 screenshots:

screen1.jpg - here you can see how differently are displayed polish native characters in different variables. In this particular example I used variables:
TLS_password_reset - this variable's content is displayed correctly
TLS_your_info_for_passwd - this variable's content is displayed rubbish

screen2.jpg - here you can see the fragment of strings.txt file, in which these two variables are set identicaly (identicaly coded polish chars)

If it is still not clear to you, write in more details what other screenshots would you like to see.
(0005719)
schlundus (reporter)
2009-03-04 04:50

Problem is clear now, thanks
(0006934)
keeyou (reporter)
2009-05-19 03:18

what does it mean, that problem is acknowledged?
(0006938)
mhavlat (reporter)
2009-05-19 09:14

It was just technical bulk update.

Could you verify definition file 0002415?
(0006956)
schlundus (reporter)
2009-05-20 00:47

I assign it to me, and think about a solution
(0006973)
keeyou (reporter)
2009-05-20 13:08

mhavlat - Sorry, but I don't need or want to verify strings.txt supplied by przemilke, because I have my own translation which is best for me for couple of reasons, eg:
- it conforms to ISTQB glossary
- some of hints I haven't translated but supplied a brand new hints which suits to the needs of my company

But I assure you, that the problem I issued you can reproduce on ANY string.txt file.
(0006977)
schlundus (reporter)
2009-05-20 14:42

Jepp, it's a "bug" and has nothing to do with the strings.txt. It's a problem with "mixed" usage of the strings inside.
(0007069)
keeyou (reporter)
2009-05-28 03:10

thank you. when can we expect the fix?
(0007859)
keeyou (reporter)
2009-08-28 19:01

heeeelooo! :) can you tell what version will deliver fix for this issue?
(0007871)
schlundus (reporter)
2009-08-29 02:03

Hm, i'm not sure if you will like my fix, because my fix disable the display of HTML entities like the one you use.
Just an example of what i'm talking about:

modify to:
$TLS_password_reset = "Reset<script>alert('k')</script>Password"
(0008368)
keeyou (reporter)
2009-11-30 17:15

Hi Schlundus, I'd like to try your fix, but I really don't understand how it works and what the value: "Reset<script>alert('k')</script>Password" has to do with the reported problem? Please explain and I will gladly try anything you'll propose.
Greets.
(0010377)
keeyou (reporter)
2010-06-21 19:53

Found the problem and a solution.
When in smarty template files *.tpl the option "|escape" is used (eg: "<div class="messages" style="text-align:center;">{$note|escape}</div>" in file gui/templates/loginLost.tpl) to escape special characters from translated strings, the ampersand (&) is also escaped. This cause that code of the polish character, eg: "ń" is converted to: "&0000322;". These are two entities (instead of one), which are not correctly interpreted as polish character by a browser. So is it vital to use "|escape" option in smarty templates in TestLink? Or can I safely modify all .tpl files in my instalation of TestLink?
(0010380)
fman (administrator)
2010-06-22 05:57

Using escape is vital to avoid problem with htmlentities used on words where this entities HAS NOT HTML Meaning => escape can not be removed.
IMHO What is needed is DO NOT USE the & inside localized strings (if possible) to express special characters (example german umlaut) and NOT remove escape.
no not think smarty template people has added escape if was not needed
(0010383)
Julian (reporter)
2010-06-22 06:47
edited on: 2010-06-22 06:49

polish string file was not encoded in UTF-8.

i did a scripted update according to current cvs head code and changed the encoding of the file.

if you are still interested in contributing your language please translate all english strings and replace encoded special chars. you can now use the crazy "n" for example. :)

please give me feedback if this really helped you.

//strings.zip attached to issue

(0010399)
keeyou (reporter)
2010-06-23 08:08

Hi guys,

@fman: you wrote: "DO NOT USE the & inside localized strings" - How can I encode polish special characters without using ampersand? I'm not specialist about code pages and charset tables, so if you please tell me what is the alternative way of encoding polish chars, I will gladly use it.

@Julian:
1. I downloaded strings.txt attached by you, and replaced it in my instance of TestLink. It didn't help - see attached screenshot.
2. As a matter of fact I did translated string.txt some time ago, because I didn't like the translation contributed by some of my polish mates, of following reasons:
- in some part it wasn't in line with ISTQB glossary (translated by Polish Testing Board (SJSI))
- many of translated phrases were awkward, and I am some kind of linguistic freak...
I didn't contributed my translation, simply because somebody already did it for community. I use it only for my company's instance of TestLink.
3. I'm afraid that I don't understand, what do you mean by "crazy n" :(
4. I will gladly write proper script by myself, if I only knew proper mappings. For instance with what characters should I replace polish character which looks like "Z" with a dot over it? There are 9 such special characters in polish language (you can see it on the picture screen1.jpg) and I have to know how to encode each of them.

I will be glad for any clue....
(0010400)
Julian (reporter)
2010-06-23 08:12
edited on: 2010-06-23 08:16

please replace encoded characters like & # 324; and simply type the chars from your keyboard.

//Try to use chars "from your keyboard" with the attached strings.txt

(0010403)
fman (administrator)
2010-06-23 09:46

@keeyou:
I do not know what is the solution => I will need to do the same you need to do search in internet.
A good source can be the localization strings presents on mantisbt.

>> I didn't contributed my translation, simply because somebody already did it
>> for community. I use it only for my company's instance of TestLink.
not the best approach to follow, always share
(0010405)
keeyou (reporter)
2010-06-23 10:31

It works!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
Big thanks Julian!!!!
:)
But you also need to inform the guy, who contributed polish translation to replace all the entities with polish chars.

Thanks again.
(0010406)
keeyou (reporter)
2010-06-23 10:36
edited on: 2010-06-23 10:37

@fman:
if nobody would contributed it before, I would gladly share. I just didn't want to diminish sombody else's work. If you want to, I can send my translation, no problem.

(0010407)
Julian (reporter)
2010-06-23 10:49

ok so take the attached file as basis and let us know when you finished work and i will commit to cvs.

thank you
(0010408)
keeyou (reporter)
2010-06-23 11:39

It is me to thank you, Julian.
I will let you know then.
Greetings.
(0010409)
Julian (reporter)
2010-06-23 11:52

please check newly attached strings_decoded.zip.

i tried to replace all encoded characters.
let me know if i replaced them right :)
(0010412)
fman (administrator)
2010-06-23 12:36

>> if nobody would contributed it before, I would gladly share.
>> I just didn't want to diminish sombody else's work.
>> If you want to, I can send my translation, no problem.
nodoby have talked about diminish other' work, just than in an Open Source Project when possibly the idea is share effort and findinds.

>> But you also need to inform the guy,
>> who contributed polish translation to replace all the entities
>> with polish chars.
near impossible to remember who has contributed
(0010414)
Julian (reporter)
2010-06-23 13:46

sorry missed some chars.

please get the latest zip:
strings_decoded.zip (36,169 bytes)
(0010415)
keeyou (reporter)
2010-06-23 14:05

@fman:
>>nodoby have talked about diminish other' work, just than in an Open Source >>Project when possibly the idea is share effort and findinds.
Of'course, as long as they concern technical solutions or substantive concepts but not thesaurus :] Suppose you got 10 alternative polish translations contributed by different reporters. Which one would you choose to put in the next release? How would you asses which one is best? Unless you know polish... :)

>>near impossible to remember who has contributed
impossible to remember, but easy to find (since every translation contributed is reported as a mantis issue by not anonymous reporter). I did it for you (Category: localization, search string: polish): there are 2 reporters from whom you got polish translations: przemilke and wujek.

greets
(0010416)
Julian (reporter)
2010-06-23 14:14

as i replaced all encoded chars for you we do not need the prior contributor anymore. simply check if chars were replaced correctly

- Issue History
Date Modified Username Field Change
2009-03-03 05:21 keeyou New Issue
2009-03-03 05:21 keeyou Browser => IE 6, Mozilla Firefox 2.0
2009-03-03 05:21 keeyou PHP Version => 5
2009-03-04 03:39 schlundus Note Added: 0005716
2009-03-04 04:22 keeyou File Added: screen1.jpg
2009-03-04 04:24 keeyou File Added: screen2.jpg
2009-03-04 04:34 keeyou Note Added: 0005718
2009-03-04 04:50 schlundus Note Added: 0005719
2009-03-04 04:50 schlundus Status new => confirmed
2009-05-18 13:55 mhavlat Status confirmed => acknowledged
2009-05-19 03:18 keeyou Note Added: 0006934
2009-05-19 09:14 mhavlat Note Added: 0006938
2009-05-19 09:14 mhavlat Relationship added related to 0002415
2009-05-19 09:19 mhavlat Assigned To => mhavlat
2009-05-19 09:19 mhavlat Status acknowledged => feedback
2009-05-20 00:47 schlundus Note Added: 0006956
2009-05-20 00:47 schlundus Status feedback => assigned
2009-05-20 00:47 schlundus Assigned To mhavlat => schlundus
2009-05-20 13:08 keeyou Note Added: 0006973
2009-05-20 14:42 schlundus Note Added: 0006977
2009-05-28 03:10 keeyou Note Added: 0007069
2009-08-28 19:01 keeyou Note Added: 0007859
2009-08-29 02:03 schlundus Note Added: 0007871
2009-11-30 17:15 keeyou Note Added: 0008368
2010-06-21 19:53 keeyou Note Added: 0010377
2010-06-22 05:57 fman Note Added: 0010380
2010-06-22 06:47 Julian Note Added: 0010383
2010-06-22 06:48 Julian File Added: strings.zip
2010-06-22 06:48 Julian Note Edited: 0010383 View Revisions
2010-06-22 06:49 Julian Note Edited: 0010383 View Revisions
2010-06-22 17:48 fman Assigned To schlundus => Julian
2010-06-23 08:08 keeyou Note Added: 0010399
2010-06-23 08:10 keeyou File Added: strings by Julian.JPG
2010-06-23 08:12 Julian Note Added: 0010400
2010-06-23 08:14 Julian Note Edited: 0010400 View Revisions
2010-06-23 08:16 Julian Note Edited: 0010400 View Revisions
2010-06-23 09:46 fman Note Added: 0010403
2010-06-23 10:31 keeyou Note Added: 0010405
2010-06-23 10:36 keeyou Note Added: 0010406
2010-06-23 10:37 keeyou Note Edited: 0010406 View Revisions
2010-06-23 10:49 Julian Note Added: 0010407
2010-06-23 11:39 keeyou Note Added: 0010408
2010-06-23 11:52 Julian File Added: strings_decoded.zip
2010-06-23 11:52 Julian Note Added: 0010409
2010-06-23 11:55 Julian File Deleted: strings_decoded.zip
2010-06-23 11:55 Julian File Added: strings_decoded.zip
2010-06-23 12:36 fman Note Added: 0010412
2010-06-23 13:45 Julian File Deleted: strings.zip
2010-06-23 13:45 Julian File Deleted: strings_decoded.zip
2010-06-23 13:45 Julian File Added: strings_decoded.zip
2010-06-23 13:46 Julian Note Added: 0010414
2010-06-23 14:05 keeyou Note Added: 0010415
2010-06-23 14:14 Julian Note Added: 0010416
2010-06-23 15:22 fman Status assigned => closed
2010-06-23 15:22 fman Resolution open => fixed
2010-06-23 15:22 fman Fixed in Version => 1.9 Beta 5



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker